0xDocs 0x.limo

Docs / REST API

Users

Generated reference for the 1 /v1/users operation of the 0x REST API.

Generated from steamworks sg-backend/openapi.yaml at build 3a4a58e45c+dirty. Do not edit by hand.

Guide: Friends and presence. Errors are {"error": "..."} with the status (errors); limits are in rate limits.

MethodPathAuthSummary
GET/v1/users/{steamid}Bearer tokenPublic profile

#GET /v1/users/{steamid}

Public profile (persona name)

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
steamidpathstringyes64-bit SteamID as a decimal string
StatusResponse
200OK
404No such user
bash
curl -s "https://api.0x.limo/v1/users/$STEAMID" \
  -H "Authorization: Bearer $ZEROX_TOKEN"